package com.ruoyi.syzy.service;

import java.util.List;

import com.ruoyi.syzy.criteria.MarjorTdxCriteria;
import com.ruoyi.syzy.criteria.ZytbMarjorCriteria;
import com.ruoyi.syzy.domain.BBusiWishUniversitySubmitMarjors;

/**
 * 院校专业分数线Service接口
 *
 * @author mingxue
 * @date 2021-08-20
 */
public interface IBBusiWishUniversitySubmitMarjorsService {
    /**
     * 查询院校专业分数线
     *
     * @param id 院校专业分数线ID
     * @return 院校专业分数线
     */
    public BBusiWishUniversitySubmitMarjors selectBBusiWishUniversitySubmitMarjorsById(Long id);
    public List<BBusiWishUniversitySubmitMarjors> selectBBusiWishUniversitySubmitMarjorsByIds(List<Long> ids);

    /**
     * 查询院校专业分数线列表
     *
     * @param exam 院校专业分数线
     * @return 院校专业分数线集合
     */
    public List<BBusiWishUniversitySubmitMarjors> selectBBusiWishUniversitySubmitMarjorsList(BBusiWishUniversitySubmitMarjors exam);

    /**
     * 查询院校专业分数线列表
     *
     * @param criteria
     * @return
     */
    public List<BBusiWishUniversitySubmitMarjors> search(MarjorTdxCriteria criteria);

    /**
     * 层次
     *
     * @param location
     * @return
     */
    public List<String> levels(String location,Integer year);
    public List<String> locations();
    /**
     * 科类
     *
     * @param location
     * @return
     */
    public List<String> types(String location,Integer year);

    /**
     * 录取年份
     *
     * @param location
     * @param type
     * @param level
     * @return
     */
    public List<String> years(String location, String type, String level);
    public List<String> getUniversityNameText(String universityCode,String location, Integer year, String type, String level);
    /**
     * 填报批次-选择专业
     *
     * @param criteria
     * @return
     */
    public List<BBusiWishUniversitySubmitMarjors> zytb(ZytbMarjorCriteria criteria);

    /**
     * 新增院校专业分数线
     *
     * @param bBusiWishUniversitySubmitMarjors 院校专业分数线
     * @return 结果
     */
    public int insertBBusiWishUniversitySubmitMarjors(BBusiWishUniversitySubmitMarjors bBusiWishUniversitySubmitMarjors);

    /**
     * 修改院校专业分数线
     *
     * @param bBusiWishUniversitySubmitMarjors 院校专业分数线
     * @return 结果
     */
    public int updateBBusiWishUniversitySubmitMarjors(BBusiWishUniversitySubmitMarjors bBusiWishUniversitySubmitMarjors);

    /**
     * 批量删除院校专业分数线
     *
     * @param ids 需要删除的院校专业分数线ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitySubmitMarjorsByIds(Long[] ids);

    /**
     * 删除院校专业分数线信息
     *
     * @param id 院校专业分数线ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitySubmitMarjorsById(Long id);

}
